Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0049155
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 04. Warehouse managementmajorhave not tried2022-04-27 19:052022-05-18 16:57
ReportervmromanosView Statuspublic 
Assigned ToTriage Omni WMS 
PrioritynormalResolutionfixedFixed in VersionPR22Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0049155: Openbravo API to support Physical Inventories

DescriptionCreate API to:
1. Import Physical inventories into Openbravo
2. Export Physical inventories from Openbravo
Steps To ReproduceNA
Proposed SolutionExtend the Openbravo API to support importing/exporting physical inventory documents
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0049292 closedTriage Omni WMS API change: Added unique constraint in Locator table for warehouse and searchkey 

-  Notes
(0136872)
hgbot (developer)
2022-04-29 14:35

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/582 [^]
(0137069)
hgbot (developer)
2022-05-09 09:52

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/merge_requests/10 [^]
(0137133)
vmromanos (manager)
2022-05-10 17:08

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/merge_requests/29 [^]
(0137223)
hgbot (developer)
2022-05-12 14:46

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api/-/merge_requests/1 [^]
(0137248)
hgbot (developer)
2022-05-13 08:16

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/582 [^]
(0137250)
hgbot (developer)
2022-05-13 08:16

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/merge_requests/10 [^]
(0137251)
prakashmurugesan88 (reporter)
2022-05-13 08:23

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/merge_requests/29 [^]
(0137259)
hgbot (developer)
2022-05-13 10:25

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/merge_requests/40 [^]
(0137271)
hgbot (developer)
2022-05-13 14:39

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/merge_requests/12 [^]
(0137272)
vmromanos (manager)
2022-05-13 14:44

There are missing references to commits because the MRs wasn't merged properly, but it can be easily reached by browsing to each MR.

Manually set the Fixed In Version to 22Q3
(0137277)
hgbot (developer)
2022-05-14 18:19

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests [^]
Changeset: 31886ee048a157cda4be52cbc523dc6f6b4f8838
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 14-05-2022 18:19:05
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/commit/31886ee048a157cda4be52cbc523dc6f6b4f8838 [^]

Related to ISSUE-49155: Included Inventory tests in StandaloneTestSuite

---
M src-test/org/openbravo/api/tests/StandaloneTestSuite.java
---
(0137278)
hgbot (developer)
2022-05-15 00:38

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/merge_requests/13 [^]
(0137283)
hgbot (developer)
2022-05-15 10:05

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.api [^]
Changeset: 1b809edc2533b2e8c1771e65e9739e913b093b9b
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 15-05-2022 10:05:13
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/commit/1b809edc2533b2e8c1771e65e9739e913b093b9b [^]

Related to ISSUE-49155: consider client and orgs in queries

For example, a product with the same name in different clients might create a conflict
with the previous code

---
M src/org/openbravo/api/mappings/inventory/ImportInventoryJavaPropertyMappingHandler.java
M src/org/openbravo/api/mappings/inventoryline/ImportInventoryLineJavaPropertyMappingHandler.java
---
(0137284)
hgbot (developer)
2022-05-15 10:16

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.api [^]
Changeset: 1466c74eb3b16d8dde64955dbfd1d2bd9340b0b8
Author: Prakash M <prakash@qualiantech.com>
Date: 15-05-2022 08:06:59
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/commit/1466c74eb3b16d8dde64955dbfd1d2bd9340b0b8 [^]

Related to ISSUE-49155: Fixes inventory line no calculation performance issue

---
M src/org/openbravo/api/hook/inventoryline/ImportInventoryLineOBObjectInitializer.java
---
(0137285)
hgbot (developer)
2022-05-15 10:16

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.api/-/merge_requests/40 [^]
(0137286)
hgbot (developer)
2022-05-15 10:16

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests [^]
Changeset: 3f112b59634251b9ad540c01dfba9882048864a7
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 15-05-2022 08:16:31
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/commit/3f112b59634251b9ad540c01dfba9882048864a7 [^]

Related to ISSUE-49155: Test lineNo. calculation

---
M src-test/org/openbravo/api/tests/importer/ImportInventory.java
---
(0137287)
hgbot (developer)
2022-05-15 10:16

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/merge_requests/12 [^]
(0137440)
hgbot (developer)
2022-05-18 16:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api [^]
Changeset: 02fd858205656348e09e16e61f59330e7a452d1d
Author: Prakash M <prakash@qualiantech.com>
Date: 13-05-2022 11:24:02
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api/-/commit/02fd858205656348e09e16e61f59330e7a452d1d [^]

Related to BUG-49155: Created hook to add/remove preference to allow Inventories Transaction for API outside AWO.

---
A src-db/database/sourcedata/AD_MODULE.xml
A src-db/database/sourcedata/AD_MODULE_DBPREFIX.xml
A src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
A src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportInventoryBaseOBObjectFetcherExtension.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportedInventoryBaseOBObjectAfterFlushHookExtension.java
---
(0137441)
hgbot (developer)
2022-05-18 16:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api [^]
Changeset: feefcff9621222a0de58a2faf4c0feb8f2df0c97
Author: Prakash M <prakash@qualiantech.com>
Date: 13-05-2022 17:15:10
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api/-/commit/feefcff9621222a0de58a2faf4c0feb8f2df0c97 [^]

Related to BUG-49155: Added AWO enabled validation

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportInventoryBaseOBObjectFetcherExtension.java
---
(0137442)
hgbot (developer)
2022-05-18 16:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api [^]
Changeset: 52d6a6c57b3ace2f5c442058c6776c2559a134f7
Author: Prakash M <prakash@qualiantech.com>
Date: 13-05-2022 18:52:19
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api/-/commit/52d6a6c57b3ace2f5c442058c6776c2559a134f7 [^]

Related to BUG-49155: Code Enhancement

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportInventoryBaseOBObjectFetcherExtension.java
---
(0137443)
hgbot (developer)
2022-05-18 16:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api [^]
Changeset: c917c718ee2bdafe23c2929a8259ebac1cceb7cf
Author: Prakash M <prakash@qualiantech.com>
Date: 15-05-2022 09:43:20
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api/-/commit/c917c718ee2bdafe23c2929a8259ebac1cceb7cf [^]

Related to BUG-49155: Fixed following
* Validated Organization has OrgInfo before validating AWO enabled
* Fixed JavaDoc in ImportInventoryBaseOBObjectFetcherExtension
* Moved constants to separate file
* Extension file priority calculated based on parent class priority

---
A src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/AWOAPIHookConstants.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportInventoryBaseOBObjectFetcherExtension.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportedInventoryBaseOBObjectAfterFlushHookExtension.java
---
(0137444)
hgbot (developer)
2022-05-18 16:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api [^]
Changeset: c2ed65805c63bca64c747b514e77f5a7c415fe90
Author: Prakash M <prakash@qualiantech.com>
Date: 17-05-2022 07:41:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api/-/commit/c2ed65805c63bca64c747b514e77f5a7c415fe90 [^]

Related to ISSUE-49155: Code Enhancement - Moved get, create, delete preference to utils class for reuse

---
A src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/AWOAPIHookUtils.java
M src-db/database/sourcedata/AD_MODULE.xml
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/AWOAPIHookConstants.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportInventoryOBObjectInitializer.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportedInventoryBaseOBObjectAfterFlushHookExtension.java
---
(0137445)
hgbot (developer)
2022-05-18 16:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api [^]
Changeset: 28684216a63eaf5537f2c9c4529816a9149d89ff
Author: Prakash M <prakash@qualiantech.com>
Date: 18-05-2022 09:06:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api/-/commit/28684216a63eaf5537f2c9c4529816a9149d89ff [^]

Related to ISSUE-49155: Renamed utility function and added java docs

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/AWOAPIHookUtils.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportInventoryOBObjectInitializer.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportedInventoryBaseOBObjectAfterFlushHookExtension.java
---
(0137446)
hgbot (developer)
2022-05-18 16:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api [^]
Changeset: 99da7a6ee7b862fc5508af28d9b13dbc1121f589
Author: Prakash M <prakash@qualiantech.com>
Date: 18-05-2022 15:17:32
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api/-/commit/99da7a6ee7b862fc5508af28d9b13dbc1121f589 [^]

Related to ISSUE-49155: Moved Constants to top level so that it will be common for Inventory, Shipment etc...

---
A src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/AWOAPIHookConstants.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportInventoryOBObjectInitializer.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportedInventoryBaseOBObjectAfterFlushHookExtension.java
---
(0137447)
hgbot (developer)
2022-05-18 16:57

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api [^]
Changeset: 388b6815b647f6f19264925c98e4a2150d88e4ac
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 18-05-2022 16:36:39
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api/-/commit/388b6815b647f6f19264925c98e4a2150d88e4ac [^]

Related to ISSUE-49155: Added missing javadoc

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/AWOAPIHookUtils.java
---
(0137448)
hgbot (developer)
2022-05-18 16:57

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api/-/merge_requests/1 [^]
(0137449)
hgbot (developer)
2022-05-18 16:57

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api [^]
Changeset: d8e9a0a371c1afe5458f62d16a1109d3eb350114
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 18-05-2022 16:42:50
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.api/-/commit/d8e9a0a371c1afe5458f62d16a1109d3eb350114 [^]

Fixed ISSUE-49155: Module to allow Inventory API to work with AWO

Created hook to temporary add/remove preference to allow Inventories Transaction for API

---
A src-db/database/sourcedata/AD_MODULE.xml
A src-db/database/sourcedata/AD_MODULE_DBPREFIX.xml
A src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
A src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/AWOAPIHookConstants.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/AWOAPIHookUtils.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportInventoryOBObjectInitializer.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/api/hooks/inventory/ImportedInventoryBaseOBObjectAfterFlushHookExtension.java
---
(0137450)
hgbot (developer)
2022-05-18 16:57

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests [^]
Changeset: f22eddfbeac06de3d7d1b8e82a9039ff4f1fd321
Author: Prakash M <prakash@qualiantech.com>
Date: 17-05-2022 13:09:12
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/commit/f22eddfbeac06de3d7d1b8e82a9039ff4f1fd321 [^]

Related to ISSUE-49155: Added Inventory test with AWO enabled for the org

---
A src-test/org/openbravo/api/tests/importer/ImportInventoryWithAWOEnabled.java
M src-test/org/openbravo/api/tests/StandaloneTestSuite.java
---
(0137451)
hgbot (developer)
2022-05-18 16:57

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests [^]
Changeset: 91daa83210df6bc92d28552d7a83079079a8c1b2
Author: Prakash M <prakash@qualiantech.com>
Date: 18-05-2022 14:50:12
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/commit/91daa83210df6bc92d28552d7a83079079a8c1b2 [^]

Related to ISSUE-49155: Added dependency to Advanced Warehouse Operations API

---
M src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
---
(0137452)
hgbot (developer)
2022-05-18 16:57

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests [^]
Changeset: e9ed0d02adb6b1efe1c8cc40ca72ab247576eb3b
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 18-05-2022 16:46:03
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/commit/e9ed0d02adb6b1efe1c8cc40ca72ab247576eb3b [^]

Fixed ISSUE-49155: Added tests for AWO API module

---
A src-test/org/openbravo/api/tests/importer/ImportInventoryWithAWOEnabled.java
M src-db/database/sourcedata/AD_MODULE_DEPENDENCY.xml
M src-test/org/openbravo/api/tests/StandaloneTestSuite.java
---
(0137453)
hgbot (developer)
2022-05-18 16:57

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.api.tests/-/merge_requests/13 [^]

- Issue History
Date Modified Username Field Change
2022-04-27 19:05 vmromanos New Issue
2022-04-27 19:05 vmromanos Assigned To => Triage Omni WMS
2022-04-27 19:05 vmromanos Modules => Core
2022-04-27 19:05 vmromanos Triggers an Emergency Pack => No
2022-04-28 14:28 vmromanos Issue cloned 0049164
2022-04-29 14:35 hgbot Note Added: 0136872
2022-05-09 09:52 hgbot Note Added: 0137069
2022-05-10 17:08 vmromanos Note Added: 0137133
2022-05-11 12:48 vmromanos Relationship added causes 0049292
2022-05-12 14:46 hgbot Note Added: 0137223
2022-05-12 16:33 vmromanos Status new => scheduled
2022-05-13 08:16 hgbot Note Added: 0137248
2022-05-13 08:16 hgbot Note Added: 0137250
2022-05-13 08:23 prakashmurugesan88 Note Added: 0137251
2022-05-13 10:25 hgbot Note Added: 0137259
2022-05-13 14:39 hgbot Note Added: 0137271
2022-05-13 14:44 vmromanos Note Added: 0137272
2022-05-13 14:44 vmromanos Fixed in Version => PR22Q3
2022-05-14 18:19 hgbot Note Added: 0137277
2022-05-15 00:38 hgbot Note Added: 0137278
2022-05-15 10:05 hgbot Note Added: 0137283
2022-05-15 10:16 hgbot Note Added: 0137284
2022-05-15 10:16 hgbot Note Added: 0137285
2022-05-15 10:16 hgbot Note Added: 0137286
2022-05-15 10:16 hgbot Note Added: 0137287
2022-05-18 16:57 hgbot Note Added: 0137440
2022-05-18 16:57 hgbot Note Added: 0137441
2022-05-18 16:57 hgbot Note Added: 0137442
2022-05-18 16:57 hgbot Note Added: 0137443
2022-05-18 16:57 hgbot Note Added: 0137444
2022-05-18 16:57 hgbot Note Added: 0137445
2022-05-18 16:57 hgbot Note Added: 0137446
2022-05-18 16:57 hgbot Note Added: 0137447
2022-05-18 16:57 hgbot Note Added: 0137448
2022-05-18 16:57 hgbot Resolution open => fixed
2022-05-18 16:57 hgbot Status scheduled => closed
2022-05-18 16:57 hgbot Note Added: 0137449
2022-05-18 16:57 hgbot Note Added: 0137450
2022-05-18 16:57 hgbot Note Added: 0137451
2022-05-18 16:57 hgbot Note Added: 0137452
2022-05-18 16:57 hgbot Note Added: 0137453


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker